<?php 
function encabezado(){
?>
 <script language="JavaScript">
function mensaje_demora()
{
   alert("Este proceso es demorado, Porfavor sea paciente!!!!\n\nCARPEDIEM COLMBIA");
}
function checkAll() {
for (var j = 1; j <= 14; j++) {
box = eval("document.checkboxform.c");
if (box.checked == false) box.checked = true;
   }
}
function rusure(){
        question = confirm("Esta seguro que desea eliminar")
        if (question !="0"){
                self.location = ""
       }
      }
function validarforma()
{
  var i,p,q,nm,test,num,min,max,errors='',args=validarforma.arguments;
  for (i=0; i<(args.length-2); i+=3)
  {
   test=args[i+2]; val=MM_findObj(args[i]);
    if (val)
         {
         nm=val.name;
          if ((val=val.value)!="")
          {
       if (test.indexOf('isEmail')!=-1)
           {
            p=val.indexOf('@');
        if (p<1 || p==(val.length-1))
                 errors+='- '+nm+' must contain an e-mail address.\n';
       }
            else if (test!='R')
                 {
                  num = parseFloat(val);
        if (isNaN(val))
                 errors+='- '+nm+' must contain a number.\n';
        if (test.indexOf('inRange') != -1)
                 {
                   p=test.indexOf(':');
           min=test.substring(8,p); max=test.substring(p+1);
          if (num<min || max<num)
                   errors+='- '+nm+' must contain a number between '+min+' and '+max+'.\n';
         }
                 }
                 }
                 else if (test.charAt(0) == 'R') errors += '-> '+nm+' es Requerido.<-\n';
                 }
         }
                 if (errors)
                 alert('Hay Algunos Campos Requeridos:\n\n'+errors);
         document.MM_returnValue = (errors == '');
}
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}
function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
</script>
 <?php
 echo"<html>";
  echo"<html onMouseOver=\"self.status='Powered by Carpediem Colombia Ltda'; return true\">";
   echo"<head>";
    echo"<title>.::SISTEMA DE BACKUP EPSILON::. </title>";
	echo"<meta name=\"author\" content='DESARROLLO WEB'>";
	echo"<link rel='stylesheet' href='css/style.css' type=\"text/css\">";
	echo"<link rel=\"SHORTCUT ICON\" href=imagenes/vc.png>";
   echo"</head>";
   echo"<body leftmargin=\"0\" topmargin=\"0\" marginheight=\"0\" marginwidth=\"0\" bgcolor=\"#ffffff\">";
 }
	include("conexion/conexion.php");
	include("Menu/menu_inicio.php");  
	include("Menu/menu_usuario.php"); 
	encabezado(); 
    $id_menu=$_GET['id_menu'];
	$tipo=$_GET['tipo'];
	$id=$_GET['id'];
	if($tipo==1){
		class asignarMenu{
			var $consultarObj;
			var $conexionObj;
			var $estado;
			function setConsultar($id_menu,$id_usuario){
	  			$this->consultarObj=new menu_usuario();
				$this->consultarObj->setId_menu($id_menu);
				$this->consultarObj->setId_usuario($id_usuario);
			}
			function getConsultar(){
				return $this->consultarObj;
			}
			function validar(){
				$this->conexionObj= new conexion();
				$this->conexionObj->conectarse();
				$rst_validar=$this->conexionObj->consultar("SELECT * FROM menu_usuario WHERE id_usuario='".$this->consultarObj->getId_usuario()."' AND id_menu='".$this->consultarObj->getId_menu()."'");
				if(mysql_num_rows($rst_validar)>=1){
					$msgBOX2 = "Usuario tiene asignado este Menu.";
					echo "<script>
					alert('$msgBOX2');
					window.close();
					</script>";
				}else{
					$id_usuario=$this->consultarObj->getId_usuario();
					$id_menu=$this->consultarObj->getId_menu();
					$this->asignarDatosMenu($id_usuario,$id_menu);
				}
			}
			function asignarDatosMenu($id_usuario,$id_menu){
				$rst_asignar=$this->conexionObj->consultar("INSERT INTO menu_usuario VALUES ('".$id_usuario."','".$id_menu."')");
				$affected_asignar=mysql_affected_rows();
				if($affected_asignar>=1){
					$msgBOX2 = "Se Asigno Menu a Usuario.";
					echo "<script>
	             	alert('$msgBOX2');
					window.close();
	  		  	    </script>";
				}else{
					$msgBOX2 = "No Se Pudo Asignar Menu a Usuario.";
					echo "<script>
	             	alert('$msgBOX2');
					window.close();
	  		  	    </script>";
				}
			}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$asignarMenuObj=new asignarMenu();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$asignarMenuObj->setConsultar($_GET['id_menu'],$_GET['id']);
// LAMANDO EL METODO DE NEGOCIO
$asignarMenuObj->validar();
}else{
	class quitarMenu{
		var $consultarObj;
		var $conexionObj;
		var $estado;
		function setConsultar($id_menu,$id_usuario){
			$this->consultarObj=new menu_usuario();
	  		$this->consultarObj->setId_menu($id_menu);
			$this->consultarObj->setId_usuario($id_usuario);
		}
		function getConsultar(){
			return $this->consultarObj;
		}
		function validar(){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_validar=$this->conexionObj->consultar("SELECT * FROM menu_usuario WHERE id_usuario='".$this->consultarObj->getId_usuario()."' AND id_menu='".$this->consultarObj->getId_menu()."'");
			if(mysql_num_rows($rst_validar)>=1){
				$id_usuario=$this->consultarObj->getId_usuario();
				$id_menu=$this->consultarObj->getId_menu();
				$this->asignarDatosMenu($id_usuario,$id_menu);
			}else{
				$msgBOX2 = "No se puede quitar Menu /n porque no esta asignado.";
	  		    echo "<script>
	            alert('$msgBOX2');
				window.close();
	  		  	</script>";				
			}
		}
		function asignarDatosMenu($id_usuario,$id_menu){
			$rst_asignar=$this->conexionObj->consultar("DELETE FROM menu_usuario WHERE id_usuario='".$id_usuario."' AND id_menu='".$id_menu."'");
			$affected_asignar=mysql_affected_rows();
			if($affected_asignar>=1){
				$msgBOX2 = "Se Quito Menu a Usuario.";
				echo "<script>
	            alert('$msgBOX2');
				window.close();
	  		  	</script>";
			}else{
				$msgBOX2 = "No Se Pudo Quitar Menu a Usuario.";
				echo "<script>
	            alert('$msgBOX2');
				window.close();
	  		  	</script>";
			}
		}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$asignarMenuObj=new quitarMenu();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$asignarMenuObj->setConsultar($_GET['id_menu'],$_GET['id']);
// LAMANDO EL METODO DE NEGOCIO
$asignarMenuObj->validar();
}
?>